# Changelog

Todos los cambios notables en este proyecto se documentarán en este archivo.

El formato está basado en [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
y este proyecto adhiere a [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.3.0] - 2025-03-25

### Añadido
- Documentación detallada sobre los datos extraídos del flujo de cooperativas
- Especificación de las columnas en el archivo CSV de salida
- Clarificación del formato de datos para integración con otros sistemas

### Mejorado
- Mejor seguimiento del código mediante git
- Documentación más completa sobre la estructura del proyecto

## [0.2.0] - 2025-03-23

### Añadido
- Configuración de Node-RED como servicio
- Documentación mejorada en README.md
- Instrucciones detalladas para iniciar y detener el servicio
- Actualización del archivo .gitignore para seguimiento de flujos y módulos personalizados
- Implementación del flujo "Get Coops Panamá" para extracción de datos de cooperativas

### Cambiado
- Estructura de directorios adaptada para Node-RED
- Actualización del README.md para reflejar que es un proyecto Node-RED

## [0.1.0] - 2025-03-23

### Añadido
- Estructura inicial del proyecto
- Integración con Node-RED
- Guías de desarrollo en CLAUDE.md
- Licencia privativa (LICENSE.md)
- Configuración inicial del repositorio

[0.3.0]: https://github.com/username/webservices/compare/v0.2.0...v0.3.0
[0.2.0]: https://github.com/username/webservices/compare/v0.1.0...v0.2.0
[0.1.0]: https://github.com/username/webservices/releases/tag/v0.1.0